/*body{
-webkit-transform:rotate(150deg);
-moz-transform:rotate(150deg);
}*/
.cnblogs-markdown .hljs, .cnblogs-post-body .hljs {
//    font-family: "Consolas",sans-serif!important;
    font-size: 13px!important;
    line-height: 1.5!important;
    padding: 5px!important;
}
.catListTitle {
    font-weight: bold;
    line-height: 1.2;
    font-size: 110%;
    margin-top: 15px;
    margin-bottom: 10px;
    text-align: left;
    border-left: 7px solid #6ce26c;
    padding: 10px 0 10px 10px;
    background-color: #f5f5f5;
}
#cnblogs_post_body h1, #cnblogs_post_body h2, #cnblogs_post_body h3, #cnblogs_post_body h4, #cnblogs_post_body h5, #cnblogs_post_body h6 {
    font-family: Times, Georgia, serif;
    font-weight: bold;
}
#cnblogs_post_body h1 {
    /* font-size: 28px; */
    font-weight: bold;
    line-height: 1.5;
    margin: 10px 0;
    padding: 3px 5px;
    /* border-left: 5px solid rgba(0, 235, 255, 0.3); */
    color: #0979d4;
    padding-bottom: 5px;
    border-bottom: 1px solid #ddd;
    text-align: center;
    font-size: 2rem;
}
#cnblogs_post_body h2 {
    font-size: 26px;
    font-weight: bold;
    line-height: 1.5;
    margin: 10px 0;
/*    margin-left: 5px;*/
    /* border-left: 5px solid #83a; */
    background-color: white;
    padding: 2px 5px;
    color: #66be66;
    padding-bottom: 5px;
    border-bottom: 1px solid #ddd;
    text-align: center;
    font-size: 1.8rem;
}
#cnblogs_post_body h1::before, #cnblogs_post_body h1::after {
    content: " —— ";
    font-family: Arial;
}
#cnblogs_post_body h2::before, #cnblogs_post_body h2::after {
    content: " — ";
    font-family: Arial;
}
#cnblogs_post_body h1:hover {
  color: #d488db;
}
#cnblogs_post_body h2:hover {
  color: #88acdb;
}
#cnblogs_post_body h3 {
    font-size: 1.5rem;
    font-weight: bold;
    line-height: 1.5;
    margin: 10px 0;
/*    margin-left: 10px;*/
    /* padding: 2px 5px; */
    color: #9b0ba8;
    /* border-left: 5px solid #ff1493; */
}
#cnblogs_post_body h4 {
    font-size: 1.3rem;
    font-weight: bold;
    line-height: 1.5;
    margin: 10px 0;
/*    margin-left: 10px;*/
    /* padding: 2px 5px; */
    /* color: #9b0ba8; */
    /* border-left: 5px solid #ff1493; */
}
#cnblogs_post_body p {
    margin: 0.85em auto;
    text-indent: 0;
    font-size: 16px;
}
#cnblogs_post_body ol li {
    list-style-type: decimal;
    font-size: 16px;
}
#cnblogs_post_body ul li {
    list-style-type: disc;
}
#cnblogs_post_body ul li::marker {
    color: #d3d3d3;
    /* font-size: 0.4em; */
}
#cnblogs_post_body ol li::marker {
    font-family: monospace;
}

.postBody blockquote {
    background: none;
    min-height: 35px;
    _height: 35px;
    line-height: 1.6em;
    color: #565656;
    border-left: 5px solid #454444;
    /* border-radius: 6px 6px 6px 6px; */
    padding: 5px 15px;
    background: rgb(235 235 235 / 50%);
}
#blogTitle h2 {
    font-weight: normal;
    font-family: "隶书",Arial,Helvetica,sans-serif;
    font-size: 16px;
    color: #99;
    line-height: 1.5em;
    margin-top: 10px;
    margin-left: 30px;
    width: 50%;
    margin-left: 5em;
    float: left;
}
#topics .postTitle {
    font-size: 180%;
    font-family: "Helvetica Neue",Arial,Helvetica,sans-serif;
    font-weight:bold;
}
.postTitle {
   /* font-size: 150%; */
    font-weight: bold;
    font-family: "Helvetica Neue",Arial,Helvetica,sans-serif;
    margin-top: 10px;
    float: right;
    line-height: 1.5em;
    width: 100%;
    clear: both;
}
.postTitle a:link, .postTitle a:visited, .postTitle a:active {
    /* color:#2f2c4f; */
    transition: all 0.4s linear 0s; 
}

.postTitle a:hover {
    margin-left: 30px;
    text-decoration: none;
}
/*
.cnblogs-markdown code, .cnblogs-post-body code {
    font-family: "Fira Mono","Monaco","Menlo","Ubuntu Mono","Consolas","source-code-pro",monospace !important;
    font-size: 14px !important;
    line-height: 20px !important;
    background-color: #f5f5f5!important;
    border: 0px solid #ccc!important;
    padding: 0 5px!important;
    border-radius: 3px!important;
    line-height: 1.8;
    margin: 1px 5px;
    vertical-align: middle;
    font-weight: bold;
}*/
/*
body {
    background: url(https://images.cnblogs.com/cnblogs_com/hankeke/1237361/o_210919045645aa6e62e5a8a21033da0263c9b747079f.jpg) fixed
}*/
body {
color: #000;
background: url(https://images.cnblogs.com/cnblogs_com/hankeke/1237361/o_2109190508150fe95270652f6785b4ede644ac8f6370f9d22a5d%20-%20%E5%89%AF%E6%9C%AC.jpg) fixed;
background-size: 100%;
background-position-x: initial;
    background-position-y: initial;
    background-size: cover;
    background-repeat-x: repeat;
    background-repeat-y: repeat;
    background-attachment: fixed;
    background-origin: initial;
    background-clip: initial;
    background-color: initial;
    background-repeat: repeat;
    background-repeat-x: repeat;
    background-repeat-y: repeat;
font-family: "Helvetica Neue",Helvetica,Verdana,Arial,sans-serif;
font-size: 15px;
min-height: 100%;
}
#home {
    opacity: 0.85;
    margin: 0 auto;
    width: 85%;
    min-width: 950px;
    background-color: #fff;
    padding: 30px;
    margin-top: 30px;
    margin-bottom: 50px;
    box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}
.cnblogs-markdown :not(pre,div,td)>code, .blogpost-body :not(pre,div,td)>code {
    /* font-size: 16px;
    padding: unset;
    background-color: unset;
    color: unset; */
    font-size: 13px;
    font-weight: bold;
    padding: 2px 4px;
    color: #d83b64;
    background-color: #f9f2f4;
    border-radius: 3px;
}


/*
<script type="text/javascript" language="javascript">
　　//Setting ico for cnblogs
　　var linkObject = document.createElement('link');
　　linkObject.rel = "shortcut icon";
　　linkObject.href = "https://files.cnblogs.com/files/hankeke/bitbug_favicon.ico";
　　document.getElementsByTagName("head")[0].appendChild(linkObject);
</script>
*/